<script setup lang="ts" name="QueryForm">
import { computed,ref,watch } from 'vue'
import type { FormInstance } from 'element-plus'
import PageWrapperSearch from '@/components/search/PageWrapperSearch.vue'
import {
  Plus
} from '@element-plus/icons-vue'



// const { approve_status, invoice_status} = useDict('approve_status', 'invoice_status')
const emit = defineEmits(['update:modelValue', 'query', 'reset','add'])
const invoice_status_filter = ref([])
const employeesList = ref([])
const props = defineProps<{
  modelValue: any
}>()



const queryForm = computed({
  get() {
    return props.modelValue
  },
  set(val: any) {
    console.log('query computed', val)
    emit('update:modelValue', val)
  }
})

// 搜索
function onSearch() {
  emit('query')
}

// 重置
function onReset(formRef: FormInstance) {
  queryForm.value.taskname = ''

  emit('reset', formRef)
}

function handleAdd (){
  emit('add')
}

</script>

<template>
  <!-- el-form -->
  <page-wrapper-search
    :model="queryForm"
     :extraButtons="[
      {
        text: '新增',
        icon: Plus,
        color: 'rgba(0, 189, 207, 1)',
        type: 'success',
        class: 'btn-fff',
        onClick: handleAdd
      }
    ]"
    @search="onSearch"
    @reset="onReset">
    <el-form-item label="发现任务名称" prop="taskname">
      <el-input
        v-model="queryForm.taskname"
        placeholder="请输入发现任务名称"
        clearable
      />
    </el-form-item>
    
   

    
 
  </page-wrapper-search>
</template>

<style scoped lang="scss">
:deep(.btn-fff){
  span{
    color: #fff;
  }
}
</style>
